com.jscape.inet.gateway.operation.key

## Class ServerKeyGenerationData

- java.lang.Object
- - com.jscape.inet.gateway.operation.key.ServerKeyGenerationData

-     public class ServerKeyGenerationData
      extends java.lang.Object

  Author:
    Alex Usun

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `CertificateGenerationData` | `certificateGenerationData`
    `java.lang.String` | `keyAlgorithm`
    `java.lang.String` | `keyCurveName`
    `int` | `keySize`
    `java.lang.String` | `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServerKeyGenerationData()`
    `ServerKeyGenerationData(java.lang.String name, java.lang.String keyAlgorithm, int keySize, java.lang.String keyCurveName, CertificateGenerationData certificateGenerationData)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

    - #### keyAlgorithm

          public java.lang.String keyAlgorithm

    - #### keySize

          public int keySize

    - #### keyCurveName

          public java.lang.String keyCurveName

    - #### certificateGenerationData

          public CertificateGenerationData certificateGenerationData

  - ### Constructor Detail

    - #### ServerKeyGenerationData

          public ServerKeyGenerationData(java.lang.String name,
                                         java.lang.String keyAlgorithm,
                                         int keySize,
                                         java.lang.String keyCurveName,
                                         CertificateGenerationData certificateGenerationData)

    - #### ServerKeyGenerationData

          public ServerKeyGenerationData()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © Advanced Systems Concepts Inc. 2009-2021. All Rights Reserved